Subject: Re: tar, zip, gzip troubles
From: [email-masked] (jeffdb)

14 Oct 1998 13:39:34 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Sound like a text\binary problem.
Make sure the zip you have isn't setup to do auto CR\LF
conversion, and that all your directories INCLUDING /tmp
are mounted binary.

On Mon, 12 Oct 1998 10:29:14 +0200, you wrote:

>>> you may specify your setup and environment, so we can get a clue why
>that
>happens. I had never problems with the Cygwin32 (CDK, not usertool
>package)
>tar and gzip utils. <<
>
>Well, to be precise, on my homebox it's also the CDK, but at work I use
>the usertools.
>Someone else already pointed out that I should use the tar -z option
>instead of piping through gzip - this cured the tar/gzip problem.
>The zip/unzip problem persists, however. My setup is plain vanilla,
>AFAIK:
>- Boot drive is C:, NT4 %SYSTEMDRIVE% is D:
>- Installed the CDK to D:/Win32App/Tools/Cygnus
>- created D:/tmp and D:/bin and copied sh.exe to /bin
>- downloaded the InfoZip ported to CygWin from
>http://www.i21.com/~tjump/files/index.html
>- put the binaries to the Cygnus/B19/H-i386.../bin dir.
>
>Just an example of what happens:
>Markus@~/Programmieren/Projekt/Tricarb#zip tricarb *.cpp Hlp/*.bmp
>  adding: stdafx.cpp    zip warning:  file size changed while zipping
>stdafx.cpp
>
> s=123, actual=122
>zip error: Internal logic error (incorrect compressed size)
>
>Any clues?
>Markus
>
>
>_________________________
>Dr. Markus Hoenicka
>DLR Inst. Aerospace Medicine
>D-51170 Cologne, Germany
>[email-masked]
>Phone: ++49-2203-601-3101
>Fax: ++49-2203-61159
>_________________________
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".